
Automated Build Generator - Bug #1991
Rsbam project causes generator to hang
09/12/2014 11:17 AM - S. Meyer zu Borgsen

Status: Resolved Start date: 09/12/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3
Description

The analzysis of the rsbam.server project causes the job-generator to hang with full cpu utilization.

Project:
https://projects.cit-ec.uni-bielefeld.de/git/rsbam.server

Associated revisions
Revision 943b0da0 - 09/12/2014 06:40 PM - J. Moringen

Support project.version property in src/analysis/maven.lisp

fixes #1991

Apparently, Maven provides a number of implicit properties such as
project.version for use in e.g. dependency specifications. The analysis
code now injects this property which it previously did not.

A second problem was a missing backport of the infinite recursion
protection during property expansion.

    -  src/analysis/maven.lisp (analyze pathname eql :maven): inject
  "project.version" into user-supplied properties
  (%resolve-maven-value): added hack to detect and abort non-terminating
  replacements

Revision 72355b3a - 09/24/2014 08:02 PM - J. Moringen

Support project.version property in src/analysis/maven.lisp

fixes #1991

Apparently, Maven provides a number of implicit properties such as
project.version for use in e.g. dependency specifications. The analysis
code now injects this property which it previously did not.

A second problem was a missing backport of the infinite recursion
protection during property expansion.

    -  src/analysis/maven.lisp (analyze pathname eql :maven): inject
  "project.version" into user-supplied properties
  (%resolve-maven-value): added hack to detect and abort non-terminating
https://projects.cit-ec.uni-bielefeld.de/git/rsbam.server


  replacements

History
#1 - 09/12/2014 08:40 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:943b0da039421fea9c864d5efee4b75e93cdfcd1.

#2 - 09/13/2014 11:11 AM - J. Moringen
- Target version set to 0.3

Fixed binary is available here.
https://ci.cor-lab.org/job/build-generator-trunk/label=ubuntu_precise_64bit/

